local coroutineEntity = monocle.Entity()

local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin(room)

  celeste.Audio.SetMusicParam("fade", 0)
  disableMovement()
  makeUnskippable()
  disablePause()
  disableRetry()
  player.ForceCameraUpdate = true
  walkTo(24627, false, 1)
  wait(0.5)

end

function onEnd(room, wasSkipped)
  player.DummyAutoAnimate = true
  player.ForceCameraUpdate = true
  getLevel():ResetZoom()
  enableMovement()
    if wasSkipped then
    player.DummyAutoAnimate = true
    player.ForceCameraUpdate = true
    enableMovement()
    end
end